# DataExchange
TKSTEP209
StepFEA

# StepFEA_SymmetricTensor42d Class Reference

Representation of STEP SELECT type SymmetricTensor42d
.

`#include <StepFEA_SymmetricTensor42d.hxx>`

Inheritance diagram for StepFEA_SymmetricTensor42d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepFEA_SymmetricTensor42d ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of SymmetricTensor42d select type 1 -> HArray1OfReal from TColStd 0 else .
Standard_EXPORT Handle_TColStd_HArray1OfReal | AnisotropicSymmetricTensor42d () const
| Returns Value as AnisotropicSymmetricTensor42d (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_SymmetricTensor42d::StepFEA_SymmetricTensor42d | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TColStd_HArray1OfReal StepFEA_SymmetricTensor42d::AnisotropicSymmetricTensor42d | ( |  | ) | const

Standard_EXPORT Standard_Integer StepFEA_SymmetricTensor42d::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepFEA_SymmetricTensor42d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepFEA_SymmetricTensor42d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepFEA_SymmetricTensor42d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

The documentation for this class was generated from the following file:

- StepFEA_SymmetricTensor42d.hxx